grk::grk_rect< T > Struct Template Reference

`#include <geometry.h>`

## Public Member Functions

| grk_rect (T origin_x0, T origin_y0, T x0, T y0, T x1, T y1)
| grk_rect (T x0, T y0, T x1, T y1)
| grk_rect (const grk_rect &rhs)
| grk_rect (const grk_rect *rhs)
| grk_rect (void)
virtual | ~grk_rect ()=default
grk_rect< T > & | setOrigin (T origx, T origy, bool absolute)
grk_rect< T > & | setOrigin (grk_rect< T > &rhs, bool absolute)
grk_rect< T > & | setOrigin (grk_rect< T > *rhs, bool absolute)
grk_rect< T > & | toRelative (void)
grk_rect< T > & | toAbsolute (void)
virtual void | print (void) const
std::string | boundsString () const
bool | valid (void) const
bool | empty (void) const
bool | contains (grk_pt< T > pt)
bool | contains (T x, T y)
grk_rect< T > & | operator= (const grk_rect< T > &rhs)
grk_rect< T > & | operator= (const grk_rect< T > *rhs)
bool | operator== (const grk_rect< T > &rhs) const
void | setRect (grk_rect< T > *rhs)
void | setRect (grk_rect< T > rhs)
grk_rect< T > | scaleDownCeil (uint32_t den) const
grk_rect< T > | scale (uint32_t scalex, uint32_t scaley) const
grk_rect< T > | scaleDown (uint64_t denx, uint64_t deny) const
grk_rect< T > | scaleDownPow2 (uint32_t powx, uint32_t powy) const
grk_rect< T > | scaleDownPow2 (grk_pt< T > pow) const
grk_rect< T > | scaleDownCeil (uint64_t denx, uint64_t deny) const
grk_rect< T > | scaleDownCeilPow2 (uint32_t power) const
grk_rect< T > | scaleDownCeilPow2 (uint32_t powx, uint32_t powy) const
grk_rect< T > | intersection (const grk_rect< T > rhs) const
bool | isContainedIn (const grk_rect< T > rhs) const
grk_rect< T > | clip (const grk_rect< T > *rhs) const
grk_rect< T > | clip (const grk_rect< T > &rhs) const
grk_rect< T > & | clip_IN_PLACE (const grk_rect< T > &rhs)
grk_rect< T > | intersection (const grk_rect< T > *rhs) const
bool | nonEmptyIntersection (const grk_rect< T > *rhs) const
grk_rect< T > | rectUnion (const grk_rect< T > *rhs) const
grk_rect< T > | rectUnion (const grk_rect< T > &rhs) const
uint64_t | area (void) const
T | width () const
T | height () const
grk_line< T > | dimX () const
grk_line< T > | dimY () const
grk_rect< T > | pan (int64_t x, int64_t y) const
grk_rect< T > & | pan_IN_PLACE (int64_t x, int64_t y)
grk_rect< T > & | grow_IN_PLACE (T boundary)
grk_rect< T > & | grow_IN_PLACE (T boundaryx, T boundaryy)
grk_rect< T > & | grow_IN_PLACE (T boundary, T maxX, T maxY)
grk_rect< T > & | grow_IN_PLACE (T boundaryx, T boundaryy, T maxX, T maxY)
grk_rect< T > & | grow_IN_PLACE (T boundary, grk_rect< T > bounds)
grk_rect< T > & | grow_IN_PLACE (T boundaryx, T boundaryy, grk_rect< T > bounds)
T | parityX (void) const
T | parityY (void) const

## Public Attributes

bool | absoluteCoordinates
T | origin_x0
T | origin_y0
T | x0
T | y0
T | x1
T | y1

## Constructor & Destructor Documentation

## grk_rect() [1/5]

template<typename T >

grk::grk_rect< T >::grk_rect | ( | T | origin_x0,
|  | T | origin_y0,
|  | T | x0,
|  | T | y0,
|  | T | x1,
|  | T | y1
| ) |  |

inline

## grk_rect() [2/5]

template<typename T >

grk::grk_rect< T >::grk_rect | ( | T | x0,
|  | T | y0,
|  | T | x1,
|  | T | y1
| ) |  |

inline

## grk_rect() [3/5]

template<typename T >

grk::grk_rect< T >::grk_rect | ( | const grk_rect< T > & | rhs | ) |

inline

## grk_rect() [4/5]

template<typename T >

grk::grk_rect< T >::grk_rect | ( | const grk_rect< T > * | rhs | ) |

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

## grk_rect() [5/5]

template<typename T >

grk::grk_rect< T >::grk_rect | ( | void |  | ) |

inline

## ~grk_rect()

template<typename T >

virtual grk::grk_rect< T >::~grk_rect | ( |  | ) |

virtual default

## Member Function Documentation

## area()

template<typename T >

uint64_t grk::grk_rect< T >::area | ( | void |  | ) | const

inline

References grk::grk_read(), grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::compress_synch_with_plugin(), grk::Precinct::getNumCblks(), grk::ResPrecinctInfo::init(), grk::PrecinctImpl::initCodeBlocks(), grk::TileProcessor::pcrdBisectFeasible(), grk::TileProcessor::pcrdBisectSimple(), and grk::SparseCanvas< LBW, LBH >::SparseCanvas().

## boundsString()

template<typename T >

std::string grk::grk_rect< T >::boundsString | ( |  | ) | const

inline

References grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

## clip() [1/2]

template<typename T >

grk_rect< T > grk::grk_rect< T >::clip | ( | const grk_rect< T > & | rhs | ) | const

inline

References grk::grk_rect< T >::clip(), and grk::grk_read().

## clip() [2/2]

template<typename T >

grk_rect< T > grk::grk_rect< T >::clip | ( | const grk_rect< T > * | rhs | ) | const

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_read(), grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::TileComponent::allocRegionWindow(), grk::grk_rect< T >::clip(), and grk::TileProcessor::getUnreducedTileWindow().

## clip_IN_PLACE()

template<typename T >

grk_rect< T > & grk::grk_rect< T >::clip_IN_PLACE | ( | const grk_rect< T > & | rhs | ) |

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_read(), grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

## contains() [1/2]

template<typename T >

bool grk::grk_rect< T >::contains | ( | grk_pt< T > | pt | ) |

inline

References grk::grk_rect< T >::contains(), and grk::grk_read().

Referenced by grk::SparseCanvas< LBW, LBH >::alloc(), grk::grk_rect< T >::contains(), and grk::SparseCanvas< LBW, LBH >::readWrite().

## contains() [2/2]

template<typename T >

bool grk::grk_rect< T >::contains | ( | T | x,
|  | T | y
| ) |  |

inline

References grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

## dimX()

template<typename T >

grk_line< T > grk::grk_rect< T >::dimX | ( |  | ) | const

inline

References grk::grk_read(), grk::grk_rect< T >::x0, and grk::grk_rect< T >::x1.

## dimY()

template<typename T >

grk_line< T > grk::grk_rect< T >::dimY | ( |  | ) | const

inline

References grk::grk_read(), grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

## empty()

template<typename T >

bool grk::grk_rect< T >::empty | ( | void |  | ) | const

inline

References grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

## grow_IN_PLACE() [1/6]

template<typename T >

grk_rect< T > & grk::grk_rect< T >::grow_IN_PLACE | ( | T | boundary | ) |

inline

References grk::grk_read(), and grk::grk_rect< T >::grow_IN_PLACE().

Referenced by grk::grk_rect< T >::grow_IN_PLACE(), grk::grk_rect< T >::grow_IN_PLACE(), grk::grk_rect< T >::grow_IN_PLACE(), grk::grk_rect< T >::grow_IN_PLACE(), and grk::grk_rect< T >::grow_IN_PLACE().

## grow_IN_PLACE() [2/6]

template<typename T >

grk_rect< T > & grk::grk_rect< T >::grow_IN_PLACE | ( | T | boundary,
|  | grk_rect< T > | bounds
| ) |  |

inline

References grk::grk_read(), and grk::grk_rect< T >::grow_IN_PLACE().

## grow_IN_PLACE() [3/6]

template<typename T >

grk_rect< T > & grk::grk_rect< T >::grow_IN_PLACE | ( | T | boundary,
|  | T | maxX,
|  | T | maxY
| ) |  |

inline

References grk::grk_read(), and grk::grk_rect< T >::grow_IN_PLACE().

## grow_IN_PLACE() [4/6]

template<typename T >

grk_rect< T > & grk::grk_rect< T >::grow_IN_PLACE | ( | T | boundaryx,
|  | T | boundaryy
| ) |  |

inline

References grk::grk_read(), and grk::grk_rect< T >::grow_IN_PLACE().

## grow_IN_PLACE() [5/6]

template<typename T >

grk_rect< T > & grk::grk_rect< T >::grow_IN_PLACE | ( | T | boundaryx,
|  | T | boundaryy,
|  | grk_rect< T > | bounds
| ) |  |

inline

References grk::grk_read(), grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

## grow_IN_PLACE() [6/6]

template<typename T >

grk_rect< T > & grk::grk_rect< T >::grow_IN_PLACE | ( | T | boundaryx,
|  | T | boundaryy,
|  | T | maxX,
|  | T | maxY
| ) |  |

inline

References grk::grk_read(), and grk::grk_rect< T >::grow_IN_PLACE().

## height()

template<typename T >

T grk::grk_rect< T >::height | ( |  | ) | const

inline

References grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::ResWindow< T >::alloc(), grk::TileComponent::allocRegionWindow(), grk::Precinct::getCblkGridHeight(), grk::PrecinctImpl::getIMsbTagTree(), grk::PrecinctImpl::getIncludeTagTree(), grk::SparseCanvas< LBW, LBH >::SparseCanvas(), and grk::SparseCanvas< LBW, LBH >::~SparseCanvas().

## intersection() [1/2]

template<typename T >

grk_rect< T > grk::grk_rect< T >::intersection | ( | const grk_rect< T > * | rhs | ) | const

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_read(), grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

## intersection() [2/2]

template<typename T >

grk_rect< T > grk::grk_rect< T >::intersection | ( | const grk_rect< T > | rhs | ) | const

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_read(), and grk::grk_rect< T >::intersection().

Referenced by grk::CodeStreamDecompress::decompressTile(), grk::Subband::generatePrecinctBounds(), grk::grk_rect< T >::intersection(), grk::grk_rect< T >::isContainedIn(), grk::TileProcessor::isWholeTileDecompress(), and grk::TileComponentWindowBase< T >::TileComponentWindowBase().

## isContainedIn()

template<typename T >

bool grk::grk_rect< T >::isContainedIn | ( | const grk_rect< T > | rhs | ) | const

inline

References grk::grk_read(), and grk::grk_rect< T >::intersection().

## nonEmptyIntersection()

template<typename T >

bool grk::grk_rect< T >::nonEmptyIntersection | ( | const grk_rect< T > * | rhs | ) | const

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_read(), grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::TileComponent::subbandIntersectsAOI().

## operator=() [1/2]

template<typename T >

grk_rect< T > & grk::grk_rect< T >::operator= | ( | const grk_rect< T > & | rhs | ) |

inline

References grk::grk_read(), and grk::grk_rect< T >::operator=().

Referenced by grk::grk_rect< T >::operator=().

## operator=() [2/2]

template<typename T >

grk_rect< T > & grk::grk_rect< T >::operator= | ( | const grk_rect< T > * | rhs | ) |

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

## operator==()

template<typename T >

bool grk::grk_rect< T >::operator== | ( | const grk_rect< T > & | rhs | ) | const

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

## pan()

template<typename T >

grk_rect< T > grk::grk_rect< T >::pan | ( | int64_t | x,
|  | int64_t | y
| ) |  | const

inline

References grk::grk_read().

## pan_IN_PLACE()

template<typename T >

grk_rect< T > & grk::grk_rect< T >::pan_IN_PLACE | ( | int64_t | x,
|  | int64_t | y
| ) |  |

inline

References grk::grk_read(), grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::grk_rect< T >::toAbsolute(), and grk::grk_rect< T >::toRelative().

## parityX()

template<typename T >

T grk::grk_rect< T >::parityX | ( | void |  | ) | const

inline

References grk::grk_rect< T >::x0.

## parityY()

template<typename T >

T grk::grk_rect< T >::parityY | ( | void |  | ) | const

inline

References grk::grk_rect< T >::y0.

## print()

template<typename T >

virtual void grk::grk_rect< T >::print | ( | void |  | ) | const

inline virtual

Reimplemented in grk::Resolution, and grk::Subband.

References grk::GRK_INFO(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::ResPrecinctInfo::print().

## rectUnion() [1/2]

template<typename T >

grk_rect< T > grk::grk_rect< T >::rectUnion | ( | const grk_rect< T > & | rhs | ) | const

inline

References grk::grk_read(), and grk::grk_rect< T >::rectUnion().

## rectUnion() [2/2]

template<typename T >

grk_rect< T > grk::grk_rect< T >::rectUnion | ( | const grk_rect< T > * | rhs | ) | const

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_read(), grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::grk_rect< T >::rectUnion().

## scale()

template<typename T >

grk_rect< T > grk::grk_rect< T >::scale | ( | uint32_t | scalex,
|  | uint32_t | scaley
| ) |  | const

inline

References grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::ResPrecinctInfo::init().

## scaleDown()

template<typename T >

grk_rect< T > grk::grk_rect< T >::scaleDown | ( | uint64_t | denx,
|  | uint64_t | deny
| ) |  | const

inline

References grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::ResPrecinctInfo::init().

## scaleDownCeil() [1/2]

template<typename T >

grk_rect< T > grk::grk_rect< T >::scaleDownCeil | ( | uint32_t | den | ) | const

inline

References grk::ceildiv(), grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::TileProcessor::createWindowBuffers().

## scaleDownCeil() [2/2]

template<typename T >

grk_rect< T > grk::grk_rect< T >::scaleDownCeil | ( | uint64_t | denx,
|  | uint64_t | deny
| ) |  | const

inline

References grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

## scaleDownCeilPow2() [1/2]

template<typename T >

grk_rect< T > grk::grk_rect< T >::scaleDownCeilPow2 | ( | uint32_t | power | ) | const

inline

References grk::ceildivpow2(), grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::TileComponentWindowBase< T >::TileComponentWindowBase().

## scaleDownCeilPow2() [2/2]

template<typename T >

grk_rect< T > grk::grk_rect< T >::scaleDownCeilPow2 | ( | uint32_t | powx,
|  | uint32_t | powy
| ) |  | const

inline

References grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

## scaleDownPow2() [1/2]

template<typename T >

grk_rect< T > grk::grk_rect< T >::scaleDownPow2 | ( | grk_pt< T > | pow | ) | const

inline

References grk::grk_read(), and grk::grk_rect< T >::scaleDownPow2().

## scaleDownPow2() [2/2]

template<typename T >

grk_rect< T > grk::grk_rect< T >::scaleDownPow2 | ( | uint32_t | powx,
|  | uint32_t | powy
| ) |  | const

inline

References grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::TileComponent::allocRegionWindow(), grk::grk_rect< T >::scaleDownPow2(), and grk::SparseCanvas< LBW, LBH >::SparseCanvas().

## setOrigin() [1/3]

template<typename T >

grk_rect< T > & grk::grk_rect< T >::setOrigin | ( | grk_rect< T > & | rhs,
|  | bool | absolute
| ) |  |

inline

References grk::grk_read(), and grk::grk_rect< T >::setOrigin().

## setOrigin() [2/3]

template<typename T >

grk_rect< T > & grk::grk_rect< T >::setOrigin | ( | grk_rect< T > * | rhs,
|  | bool | absolute
| ) |  |

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, and grk::grk_rect< T >::y0.

## setOrigin() [3/3]

template<typename T >

grk_rect< T > & grk::grk_rect< T >::setOrigin | ( | T | origx,
|  | T | origy,
|  | bool | absolute
| ) |  |

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::x0, and grk::grk_rect< T >::y0.

Referenced by grk::ResWindow< T >::ResWindow(), and grk::grk_rect< T >::setOrigin().

## setRect() [1/2]

template<typename T >

void grk::grk_rect< T >::setRect | ( | grk_rect< T > * | rhs | ) |

inline

References grk::grk_read().

Referenced by grk::TileComponent::init(), grk::ResWindow< T >::ResWindow(), and grk::grk_rect< T >::setRect().

## setRect() [2/2]

template<typename T >

void grk::grk_rect< T >::setRect | ( | grk_rect< T > | rhs | ) |

inline

References grk::grk_read(), and grk::grk_rect< T >::setRect().

## toAbsolute()

template<typename T >

grk_rect< T > & grk::grk_rect< T >::toAbsolute | ( | void |  | ) |

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, and grk::grk_rect< T >::pan_IN_PLACE().

Referenced by grk::ResWindow< T >::genSplitWindowBuffers(), and grk::ResWindow< T >::ResWindow().

## toRelative()

template<typename T >

grk_rect< T > & grk::grk_rect< T >::toRelative | ( | void |  | ) |

inline

References grk::grk_rect< T >::absoluteCoordinates, grk::grk_read(), grk::grk_rect< T >::origin_x0, grk::grk_rect< T >::origin_y0, grk::grk_rect< T >::pan_IN_PLACE(), grk::grk_rect< T >::x0, and grk::grk_rect< T >::y0.

Referenced by grk::ResWindow< T >::genSplitWindowBuffers(), and grk::ResWindow< T >::ResWindow().

## valid()

template<typename T >

bool grk::grk_rect< T >::valid | ( | void |  | ) | const

inline

References grk::grk_rect< T >::x0, grk::grk_rect< T >::x1, grk::grk_rect< T >::y0, and grk::grk_rect< T >::y1.

Referenced by grk::PrecinctImpl::PrecinctImpl(), grk::ResWindow< T >::ResWindow(), and grk::TileComponentWindowBase< T >::TileComponentWindowBase().

## width()

template<typename T >

T grk::grk_rect< T >::width | ( |  | ) | const

inline

References grk::grk_rect< T >::x0, and grk::grk_rect< T >::x1.

Referenced by grk::ResWindow< T >::alloc(), grk::SparseCanvas< LBW, LBH >::alloc(), grk::TileComponent::allocRegionWindow(), ojph::T1OJPH::decompress(), openhtj2k::T1OpenHTJ2K::decompress(), grk::SparseCanvas< LBW, LBH >::getBlock(), grk::Precinct::getCblkGridwidth(), grk::PrecinctImpl::getCodeBlockBounds(), grk::PrecinctImpl::getIMsbTagTree(), grk::PrecinctImpl::getIncludeTagTree(), grk::TileSet::index(), grk::TileSet::index(), grk::TileSet::schedule(), grk::SparseCanvas< LBW, LBH >::SparseCanvas(), and grk::SparseCanvas< LBW, LBH >::~SparseCanvas().

## Member Data Documentation

## absoluteCoordinates

template<typename T >

bool grk::grk_rect< T >::absoluteCoordinates

Referenced by grk::grk_rect< T >::clip(), grk::grk_rect< T >::clip_IN_PLACE(), grk::grk_rect< T >::grk_rect(), grk::grk_rect< T >::intersection(), grk::grk_rect< T >::intersection(), grk::grk_rect< T >::nonEmptyIntersection(), grk::grk_rect< T >::operator=(), grk::grk_rect< T >::operator==(), grk::grk_rect< T >::rectUnion(), grk::grk_rect< T >::setOrigin(), grk::grk_rect< T >::setOrigin(), grk::grk_rect< T >::toAbsolute(), and grk::grk_rect< T >::toRelative().

## origin_x0

template<typename T >

T grk::grk_rect< T >::origin_x0

Referenced by grk::grk_rect< T >::boundsString(), grk::grk_rect< T >::grk_rect(), grk::grk_rect< T >::operator=(), grk::grk_rect< T >::operator==(), grk::grk_rect< T >::print(), grk::grk_rect< T >::scale(), grk::grk_rect< T >::scaleDown(), grk::grk_rect< T >::scaleDownCeil(), grk::grk_rect< T >::scaleDownCeil(), grk::grk_rect< T >::scaleDownCeilPow2(), grk::grk_rect< T >::scaleDownCeilPow2(), grk::grk_rect< T >::scaleDownPow2(), grk::grk_rect< T >::setOrigin(), grk::grk_rect< T >::setOrigin(), grk::grk_rect< T >::toAbsolute(), and grk::grk_rect< T >::toRelative().

## origin_y0

template<typename T >

T grk::grk_rect< T >::origin_y0

Referenced by grk::grk_rect< T >::boundsString(), grk::grk_rect< T >::grk_rect(), grk::grk_rect< T >::operator=(), grk::grk_rect< T >::operator==(), grk::grk_rect< T >::print(), grk::grk_rect< T >::scale(), grk::grk_rect< T >::scaleDown(), grk::grk_rect< T >::scaleDownCeil(), grk::grk_rect< T >::scaleDownCeil(), grk::grk_rect< T >::scaleDownCeilPow2(), grk::grk_rect< T >::scaleDownCeilPow2(), grk::grk_rect< T >::scaleDownPow2(), grk::grk_rect< T >::setOrigin(), grk::grk_rect< T >::setOrigin(), grk::grk_rect< T >::toAbsolute(), and grk::grk_rect< T >::toRelative().

## x0

template<typename T >

T grk::grk_rect< T >::x0

Referenced by grk::SparseCanvas< LBW, LBH >::alloc(), grk::grk_rect< T >::area(), grk::grk_rect< T >::boundsString(), grk::grk_rect< T >::clip(), grk::grk_rect< T >::clip_IN_PLACE(), grk::compress_synch_with_plugin(), grk::grk_rect< T >::contains(), grk::CodeStreamDecompress::decompressTile(), grk::grk_rect< T >::dimX(), grk::grk_rect< T >::empty(), grk::TileProcessor::encodeT2(), grk::PacketIter::genPrecinctX0Grid(), grk::SparseCanvas< LBW, LBH >::getBlock(), grk::PrecinctImpl::getCodeBlockBounds(), grk::grk_rect< T >::grk_rect(), grk::grk_rect< T >::grow_IN_PLACE(), grk::TileComponent::init(), grk::TileProcessor::init(), grk::grk_rect< T >::intersection(), grk::grk_rect< T >::nonEmptyIntersection(), grk::Codeblock::operator=(), grk::grk_rect< T >::operator=(), grk::grk_rect< T >::operator==(), grk::grk_rect< T >::pan_IN_PLACE(), grk::grk_rect< T >::parityX(), grk::PrecinctImpl::PrecinctImpl(), grk::grk_rect< T >::print(), grk::SparseCanvas< LBW, LBH >::readWrite(), grk::grk_rect< T >::rectUnion(), grk::grk_rect< T >::scale(), grk::grk_rect< T >::scaleDown(), grk::grk_rect< T >::scaleDownCeil(), grk::grk_rect< T >::scaleDownCeil(), grk::grk_rect< T >::scaleDownCeilPow2(), grk::grk_rect< T >::scaleDownCeilPow2(), grk::grk_rect< T >::scaleDownPow2(), grk::CompressScheduler::scheduleBlocks(), grk::CodeStreamDecompress::setDecompressRegion(), grk::grk_rect< T >::setOrigin(), grk::grk_rect< T >::setOrigin(), grk::grk_rect< T >::toRelative(), grk::grk_rect< T >::valid(), and grk::grk_rect< T >::width().

## x1

template<typename T >

T grk::grk_rect< T >::x1

Referenced by grk::SparseCanvas< LBW, LBH >::alloc(), grk::grk_rect< T >::area(), grk::grk_rect< T >::boundsString(), grk::grk_rect< T >::clip(), grk::grk_rect< T >::clip_IN_PLACE(), grk::compress_synch_with_plugin(), grk::grk_rect< T >::contains(), grk::grk_rect< T >::dimX(), grk::grk_rect< T >::empty(), grk::grk_rect< T >::grk_rect(), grk::grk_rect< T >::grow_IN_PLACE(), grk::TileProcessor::init(), grk::grk_rect< T >::intersection(), grk::SparseCanvas< LBW, LBH >::isWindowValid(), grk::grk_rect< T >::nonEmptyIntersection(), grk::grk_rect< T >::operator=(), grk::grk_rect< T >::operator==(), grk::grk_rect< T >::pan_IN_PLACE(), grk::PrecinctImpl::PrecinctImpl(), grk::grk_rect< T >::print(), grk::SparseCanvas< LBW, LBH >::readWrite(), grk::grk_rect< T >::rectUnion(), grk::grk_rect< T >::scale(), grk::grk_rect< T >::scaleDown(), grk::grk_rect< T >::scaleDownCeil(), grk::grk_rect< T >::scaleDownCeil(), grk::grk_rect< T >::scaleDownCeilPow2(), grk::grk_rect< T >::scaleDownCeilPow2(), grk::grk_rect< T >::scaleDownPow2(), grk::grk_rect< T >::valid(), and grk::grk_rect< T >::width().

## y0

template<typename T >

T grk::grk_rect< T >::y0

Referenced by grk::SparseCanvas< LBW, LBH >::alloc(), grk::grk_rect< T >::area(), grk::grk_rect< T >::boundsString(), grk::grk_rect< T >::clip(), grk::grk_rect< T >::clip_IN_PLACE(), grk::compress_synch_with_plugin(), grk::grk_rect< T >::contains(), grk::grk_rect< T >::dimY(), grk::grk_rect< T >::empty(), grk::PacketIter::genPrecinctY0Grid(), grk::SparseCanvas< LBW, LBH >::getBlock(), grk::PrecinctImpl::getCodeBlockBounds(), grk::grk_rect< T >::grk_rect(), grk::grk_rect< T >::grow_IN_PLACE(), grk::grk_rect< T >::height(), grk::TileProcessor::init(), grk::grk_rect< T >::intersection(), grk::PacketIter::next_rpclOPT(), grk::grk_rect< T >::nonEmptyIntersection(), grk::grk_rect< T >::operator=(), grk::grk_rect< T >::operator==(), grk::grk_rect< T >::pan_IN_PLACE(), grk::grk_rect< T >::parityY(), grk::PrecinctImpl::PrecinctImpl(), grk::grk_rect< T >::print(), grk::SparseCanvas< LBW, LBH >::readWrite(), grk::grk_rect< T >::rectUnion(), grk::ResWindow< T >::ResWindow(), grk::grk_rect< T >::scale(), grk::grk_rect< T >::scaleDown(), grk::grk_rect< T >::scaleDownCeil(), grk::grk_rect< T >::scaleDownCeil(), grk::grk_rect< T >::scaleDownCeilPow2(), grk::grk_rect< T >::scaleDownCeilPow2(), grk::grk_rect< T >::scaleDownPow2(), grk::grk_rect< T >::setOrigin(), grk::grk_rect< T >::setOrigin(), grk::grk_rect< T >::toRelative(), and grk::grk_rect< T >::valid().

## y1

template<typename T >

T grk::grk_rect< T >::y1

Referenced by grk::SparseCanvas< LBW, LBH >::alloc(), grk::grk_rect< T >::area(), grk::grk_rect< T >::boundsString(), grk::grk_rect< T >::clip(), grk::grk_rect< T >::clip_IN_PLACE(), grk::compress_synch_with_plugin(), grk::grk_rect< T >::contains(), grk::grk_rect< T >::dimY(), grk::grk_rect< T >::empty(), grk::ResWindow< T >::genSplitWindowBuffers(), grk::grk_rect< T >::grk_rect(), grk::grk_rect< T >::grow_IN_PLACE(), grk::grk_rect< T >::height(), grk::TileProcessor::init(), grk::grk_rect< T >::intersection(), grk::SparseCanvas< LBW, LBH >::isWindowValid(), grk::grk_rect< T >::nonEmptyIntersection(), grk::grk_rect< T >::operator=(), grk::grk_rect< T >::operator==(), grk::grk_rect< T >::pan_IN_PLACE(), grk::PrecinctImpl::PrecinctImpl(), grk::grk_rect< T >::print(), grk::SparseCanvas< LBW, LBH >::readWrite(), grk::grk_rect< T >::rectUnion(), grk::ResWindow< T >::ResWindow(), grk::grk_rect< T >::scale(), grk::grk_rect< T >::scaleDown(), grk::grk_rect< T >::scaleDownCeil(), grk::grk_rect< T >::scaleDownCeil(), grk::grk_rect< T >::scaleDownCeilPow2(), grk::grk_rect< T >::scaleDownCeilPow2(), grk::grk_rect< T >::scaleDownPow2(), and grk::grk_rect< T >::valid().

The documentation for this struct was generated from the following file:

- geometry.h